#!/usr/bin/env python3
# coding: utf8

"""01-distance.py"""

def dist(points):
    """
    Function documentation

    :Tests:
    >>> dist([1, 2, 3])
    2
    >>> dist([1, 2, 3, 2.5])
    2
    >>> dist([1, 2, 3, 2.5, 3.5])
    2.5
    >>> dist([1, 2, 3, 2.5, 3.5, 120])
    119
    >>> dist([1, 2, 3, 2.5, 3.5, 120, -1000])
    1120
    """

    return(max(points) - min(points))


if __name__ == "__main__":
    import doctest

    doctest.testmod()
    dist([1, 2, 3, 2.5, 3.5, 120])
