#!/usr/bin/env python3
# coding: utf8

"""017-print-every-two-letters-pairs.py"""
from string import ascii_lowercase

def main():
    """
    :Examples:
    >>> main()  # doctest: +ELLIPSIS
    ab
    ac
    ...
    ba
    bc
    ...
    zy
    """
    for letter_1 in ascii_lowercase:
        for letter_2 in ascii_lowercase:
            if letter_1 != letter_2:
                print(f"{letter_1}{letter_2}")

if __name__ == "__main__":
    import doctest
    doctest.testmod()
    main()
