#!/usr/bin/env python3
# coding: utf8

"""entrainement-06-fibonacci-sequence"""

def fibonacci(param):
    """
    Function documentation

    :Examples:
    >>> fibonacci(2)
    [1, 1]
    >>> fibonacci(5)
    [1, 1, 2, 3, 5]
    """
    a, b = 1, 1
    fib = []

    for i in range(param):
        fib.append(a)
        a, b = b, a+b
        i+=i

    return fib


if __name__ == "__main__":
    import doctest
    doctest.testmod()

    # assert fibonacci(5) == [1, 1, 2, 3, 5]
    # assert fibonacci(2) == [1, 1]
